Docker Community Forums

Share and learn in the Docker community.

[Ubuntu 14.04] Cannot connect to the Docker daemon

Hi there,

a few days ago I tried somethings with docker in my VM which happend to be running Ubuntu 16.04. Everything worked fine. Now I tried to move to my server which happens to run Ubuntu 14.04. I followed the same steps as used in my VM but docker does not seem to be installed correctly. After the installation I am not able to use docker due to the following error message:

Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?

I searched the internet but things like ‘use sudo’ etc just do not work. I use docker version 17.12.0. I would be grateful for any help!

Output of ‘dockerd -D’:

DEBU[2018-02-28T21:02:45.982316883+01:00] Listener created for HTTP on unix (/var/run/docker.sock)
INFO[2018-02-28T21:02:45.982815225+01:00] libcontainerd: started new docker-containerd process pid=7779
INFO[0000] starting containerd module=containerd revision=9b55aab90508bd389d7654c4baf173a981477d55 version=v1.0.1
DEBU[0000] changing OOM score to -500 module=containerd
INFO[0000] loading plugin “io.containerd.content.v1.content”… module=containerd type=io.containerd.content.v1
INFO[0000] loading plugin “io.containerd.snapshotter.v1.btrfs”… module=containerd type=io.containerd.snapshotter.v1
WARN[0000] failed to load plugin io.containerd.snapshotter.v1.btrfs error=“path /var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.btrfs must be a btrfs filesystem to be used with the btrfs snapshotter” module=containerd
INFO[0000] loading plugin “io.containerd.snapshotter.v1.overlayfs”… module=containerd type=io.containerd.snapshotter.v1
WARN[0000] failed to load plugin io.containerd.snapshotter.v1.overlayfs error="/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support" module=containerd
INFO[0000] loading plugin “io.containerd.metadata.v1.bolt”… module=containerd type=io.containerd.metadata.v1
WARN[0000] could not use snapshotter btrfs in metadata plugin error=“path /var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.btrfs must be a btrfs filesystem to be used with the btrfs snapshotter” module=“containerd/io.containerd.metadata.v1.bolt"
WARN[0000] could not use snapshotter overlayfs in metadata plugin error=”/var/lib/docker/containerd/daemon/io.containerd.snapshotter.v1.overlayfs does not support d_type. If the backing filesystem is xfs, please reformat with ftype=1 to enable d_type support" module=“containerd/io.containerd.metadata.v1.bolt"
INFO[0000] loading plugin “io.containerd.differ.v1.walking”… module=containerd type=io.containerd.differ.v1
INFO[0000] loading plugin “io.containerd.gc.v1.scheduler”… module=containerd type=io.containerd.gc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.containers”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.content”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.diff”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.events”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.healthcheck”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.images”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.leases”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.namespaces”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.snapshots”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.monitor.v1.cgroups”… module=containerd type=io.containerd.monitor.v1
INFO[0000] loading plugin “io.containerd.runtime.v1.linux”… module=containerd type=io.containerd.runtime.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.tasks”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.version”… module=containerd type=io.containerd.grpc.v1
INFO[0000] loading plugin “io.containerd.grpc.v1.introspection”… module=containerd type=io.containerd.grpc.v1
INFO[0000] serving… address=”/var/run/docker/containerd/docker-containerd-debug.sock" module=“containerd/debug"
INFO[0000] serving… address=”/var/run/docker/containerd/docker-containerd.sock" module="containerd/grpc"
INFO[0000] containerd successfully booted in 0.005399s module=containerd
DEBU[2018-02-28T21:02:46.005739440+01:00] Using default logging driver json-file
DEBU[2018-02-28T21:02:46.005786718+01:00] Golang’s threads limit set to 1855710
DEBU[2018-02-28T21:02:46.011918710+01:00] [graphdriver] priority list: [btrfs zfs overlay2 aufs overlay devicemapper vfs]
DEBU[2018-02-28T21:02:46.012026777+01:00] [zfs] zfs command is not available: exec: “zfs”: executable file not found in $PATH
ERRO[2018-02-28T21:02:46.013724352+01:00] ‘overlay’ not found as a supported filesystem on this host. Please ensure kernel is new enough and has overlay support loaded.
DEBU[2018-02-28T21:02:46.014187286+01:00] processing event stream module=libcontainerd namespace=plugins.moby
ERRO[2018-02-28T21:02:46.016551896+01:00] ‘overlay’ not found as a supported filesystem on this host. Please ensure kernel is new enough and has overlay support loaded.
DEBU[2018-02-28T21:02:46.017274351+01:00] Using graph driver vfs
DEBU[2018-02-28T21:02:46.017348096+01:00] Max Concurrent Downloads: 3
DEBU[2018-02-28T21:02:46.017366926+01:00] Max Concurrent Uploads: 5
INFO[2018-02-28T21:02:46.023053614+01:00] Graph migration to content-addressability took 0.00 seconds
WARN[2018-02-28T21:02:46.024769097+01:00] Your kernel does not support oom control
WARN[2018-02-28T21:02:46.024784832+01:00] Your kernel does not support memory swappiness
WARN[2018-02-28T21:02:46.024796102+01:00] Your kernel does not support kernel memory limit
WARN[2018-02-28T21:02:46.024802786+01:00] Unable to find cpu cgroup in mounts
WARN[2018-02-28T21:02:46.024835600+01:00] Unable to find cpuset cgroup in mounts
WARN[2018-02-28T21:02:46.024880666+01:00] mountpoint for pids not found
DEBU[2018-02-28T21:02:46.026765642+01:00] Cleaning up old mountid : start.
Error starting daemon: Devices cgroup isn’t mounted

I found out the server is not Docker ready. What a pity. I wanted to switch to docker before I change the server provider. Now I have to do this during the change.

After updating the ubuntu my iTunes is asking for iTunes verification. After verifying this properly again it is showing iTunes verification failed. Is there any solution for this?